LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XConnectionListener Interface Reference

The listener interface for connection events. More...

`import "XConnectionListener.idl";`

Inheritance diagram for XConnectionListener:

## Public Member Functions
void | connected ([in] com::sun::star::lang::EventObject aEvent)
| Invoked when the connection to the mail server is established.
void | disconnected ([in] com::sun::star::lang::EventObject aEvent)
| Invoked when the connection to the mail server is closed.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

The listener interface for connection events.

See also
  com::sun::star::mail::XMailService

Since
  OOo 2.0

## Member Function Documentation

## ◆ connected()

void connected | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

Invoked when the connection to the mail server is established.

Parameters

  aEvent | [in] specific information regarding this event.

See also
  com::sun::star::lang::EventObject

## ◆ disconnected()

void disconnected | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

Invoked when the connection to the mail server is closed.

Parameters

  aEvent | [in] specific information regarding this event.

See also
  com::sun::star::lang::EventObject

The documentation for this interface was generated from the following file:

- com/sun/star/mail/XConnectionListener.idl